import { RouteRecordRaw } from "vue-router";

const routes: Array<RouteRecordRaw> = [
  {
    path: "/",
    redirect: "/hot",
  },
  {
    path: "/",
    name: "Layout",
    component: () => import("@/components/PageLayout/Layout.vue"),
    children: [
      {
        path: "/depth",
        name: "Depth",
        component: () => import("@/views/depth/index.vue"),
        meta: { title: "深度信息", keepAlive: true },
      },
      {
        path: "/hot",
        name: "Hot",
        component: () => import("@/views/hot/index.vue"),
        meta: { title: "热点币信息", keepAlive: true },
      },
      {
        path: "/hot_monitoring",
        name: "HotMonitoring",
        component: () => import("@/views/hot_monitoring/index.vue"),
        meta: { title: "热点币监控", keepAlive: true },
      },
    ],
  },
  {
    path: "/404",
    name: "404",
    component: () => import("@/views/404.vue"),
    meta: { title: "404" },
  },
  {
    path: "/:pathMatch(.*)",
    redirect: "/404",
  },
];

export default routes;
